spring:
  application:
    name: Spring Kotlin Demo
  mvc:
    problemdetails:
      enabled: true
  security:
    oauth2:
      resourceserver:
        jwt:
          issuer-uri: https://AUTH0_TENANT.us.auth0.com/
          audiences:
            - <audience>

management:
  metrics:
    distribution:
      percentiles-histogram:
        listener.student-account-created-event: true

  endpoints:
    web:
      exposure:
        include: health,metrics
  endpoint:
    health:
      probes:
        enabled: true

server:
  shutdown: graceful

logging:
  pattern:
    level: "%5p [${spring.application.name:},%X{traceId:-},%X{spanId:-}]"

demo:
  queues:
    student-account-created-event: demo-student-account-created
    goal-enrollment-event: demo-goal-enrolled

